Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800567 - sssd fail to build in Fedora rawhide
Summary: sssd fail to build in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Zidek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-07 12:48 UTC by Miro Hrončok
Modified: 2020-02-28 10:57 UTC (History)
8 users (show)

Fixed In Version: sssd-2.2.3-14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-28 10:53:13 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build.log from Koji (x86_64) (deleted)
2020-02-07 12:48 UTC, Miro Hrončok
no flags Details
root.log from Koji (x86_64) (deleted)
2020-02-07 12:49 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2020-02-07 12:48:41 UTC
Created attachment 1661675 [details]
build.log from Koji (x86_64)

Description of problem:
sssd fail to build in Fedora rawhide. This happens after the mass rebuilt when it built just fine.

Koschei also seem to think there were no dependency changes :(

https://koschei.fedoraproject.org/package/sssd?collection=f32

But the build fails:

https://koji.fedoraproject.org/koji/taskinfo?taskID=41422256

RPM build errors:
    File not found: /builddir/build/BUILDROOT/sssd-2.2.2-6.fc32.x86_64/usr/lib/systemd/system/sssd-pac.socket
    File not found: /builddir/build/BUILDROOT/sssd-2.2.2-6.fc32.x86_64/usr/lib/systemd/system/sssd-pac.service

Full logs attached.

Version-Release number of selected component:
sssd-2.2.2-6.fc32

How reproducible: always


Steps to Reproduce:
1. fedpkg build --scratch

Actual results:
Build fails.


Expected results:
Build succeeded.

Additional info:
This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-02-07 12:49:17 UTC
Created attachment 1661676 [details]
root.log from Koji (x86_64)

Comment 2 Lukas Slebodnik 2020-02-07 12:54:07 UTC
PR:
https://pagure.io/SSSD/sssd/pull-request/4152

However,
it is required to review internal of krb5 to check whether PR is sufficient

Comment 3 Lukas Slebodnik 2020-02-10 10:15:42 UTC
master:
* 399ee9d1af9cca4026ce50c58ce25c45a30c85c2

Comment 4 Miro Hrončok 2020-02-10 14:06:48 UTC
Can we please get a backport of https://pagure.io/SSSD/sssd/pull-request/4152 ?

Comment 5 Ben Cotton 2020-02-11 16:33:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Miro Hrončok 2020-02-23 21:06:00 UTC
This is blocking us, Michal, please, could you backport it ASAP?

Comment 7 Miro Hrončok 2020-02-23 21:07:10 UTC
Changing back to NEW to restart the FTBFS policy process.

Comment 8 Michal Zidek 2020-02-27 09:31:12 UTC
This additional PR needs to be merged. Changing the status to assigned.

https://github.com/SSSD/sssd/pull/995

Michal

Comment 9 Miro Hrončok 2020-02-28 10:57:45 UTC
Thank You!


Note You need to log in before you can comment on or make changes to this bug.